using System;
using System.Collections.Generic;
using System.Text;
using AmortizationCalculator;

namespace AmortConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            AmortizationModel am = new AmortizationModel(3000, 5,
                PaymentsPeriod.Monthly, 12, DateTime.Now);

            writeAll(am);

            am[5].ExtraPayment = 500.00;
            Console.WriteLine();
            writeAll(am);

            Console.ReadLine();
        }
        static void writeAll(AmortizationModel am)
        {
            foreach (SinglePayment p in am)
                write(p);
        }
        static void write(SinglePayment p)
        {
            Console.WriteLine(String.Format(
                "{0} {1:d} {2:c} {3:c} {4:c} {5:c} {6:c} {7:c} {8:c} {9:c}",
                p.PaymentNumber, p.PaymentDate, p.PrincipalAtBeginningOfPeriod, p.Interest, p.Principal,
                p.PaymentAmount, p.ExtraPayment, p.CumulativeInterest, p.CumulativePrincipal,
                p.PrincipalAtEndOfPeriod));
        }
    }
}
